> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Inference Modelsdev Models

> models.dev の `api.json` スキーマで利用可能なモデルを返します。

この API は認証なしで利用できます。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json get /inference/modelsdev/models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /inference/modelsdev/models:
    get:
      tags:
        - Inference
      summary: Inference Modelsdev Models
      description: |-
        models.dev の `api.json` スキーマで利用可能なモデルを返します。

        この API は認証なしで利用できます。
      operationId: inference_modelsdev_models_inference_modelsdev_models_get
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties:
                  $ref: '#/components/schemas/ModelsDevProvider'
                title: >-
                  Response Inference Modelsdev Models Inference Modelsdev Models
                  Get
                type: object
          description: 正常なレスポンス
components:
  schemas:
    ModelsDevProvider:
      description: models.dev スキーマ内のプロバイダ エントリです。
      properties:
        api:
          anyOf:
            - type: string
            - type: 'null'
          description: OpenAI 互換 API エンドポイント。@ai-sdk/openai-compatible を使用する場合にのみ必須です。
          title: Api
        doc:
          description: プロバイダのドキュメントへのリンク。
          title: Doc
          type: string
        env:
          description: 認証用の環境変数キー。
          items:
            type: string
          title: Env
          type: array
        id:
          description: フォルダ名から導出されるプロバイダ識別子。
          title: Id
          type: string
        models:
          additionalProperties:
            $ref: '#/components/schemas/ModelsDevModel'
          description: モデル ID からモデルへのマッピング。
          title: Models
          type: object
        name:
          description: プロバイダの表示名。
          title: Name
          type: string
        npm:
          description: AI SDK のパッケージ名。
          title: Npm
          type: string
      required:
        - id
        - name
        - npm
        - env
        - doc
      title: ModelsDevProvider
      type: object
    ModelsDevModel:
      description: models.dev スキーマ内の単一のモデルエントリです。
      properties:
        attachment:
          description: ファイル添付のサポートです。
          title: Attachment
          type: boolean
        cost:
          anyOf:
            - $ref: '#/components/schemas/Cost'
            - type: 'null'
          description: 価格情報です。
        id:
          description: AI SDK で使用されるモデル ID です。
          title: Id
          type: string
        interleaved:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/Interleaved'
            - type: 'null'
          description: 推論インターリーブのサポートです。
          title: Interleaved
        knowledge:
          anyOf:
            - type: string
            - type: 'null'
          description: YYYY-MM または YYYY-MM-DD 形式の知識カットオフです。
          title: Knowledge
        last_updated:
          description: 最新の更新日（YYYY-MM-DD）です。
          title: Last Updated
          type: string
        limit:
          anyOf:
            - $ref: '#/components/schemas/Limit'
            - type: 'null'
          description: トークン制限です。
        modalities:
          anyOf:
            - $ref: '#/components/schemas/Modalities'
            - type: 'null'
          description: サポートされる入出力モダリティです。
        name:
          description: 表示名です。
          title: Name
          type: string
        open_weights:
          description: 公開された重みの利用可否です。
          title: Open Weights
          type: boolean
        reasoning:
          description: Chain-of-thought 推論のサポートです。
          title: Reasoning
          type: boolean
        release_date:
          description: 最初の一般公開日（YYYY-MM-DD）です。
          title: Release Date
          type: string
        status:
          anyOf:
            - enum:
                - alpha
                - beta
                - deprecated
              type: string
            - type: 'null'
          description: モデルのライフサイクルステータスです。
          title: Status
        structured_output:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 専用の構造化出力機能です。
          title: Structured Output
        temperature:
          anyOf:
            - type: boolean
            - type: 'null'
          description: temperature 制御のサポートです。
          title: Temperature
        tool_call:
          description: ツール呼び出しのサポートです。
          title: Tool Call
          type: boolean
      required:
        - id
        - name
        - attachment
        - reasoning
        - tool_call
        - release_date
        - last_updated
        - open_weights
      title: ModelsDevModel
      type: object
    Cost:
      description: コストは 100 万トークンあたりの USD で表されます。
      properties:
        cache_read:
          anyOf:
            - type: number
            - type: 'null'
          description: キャッシュされた read トークン 100 万件あたりのコスト（USD）。
          title: Cache Read
        cache_write:
          anyOf:
            - type: number
            - type: 'null'
          description: キャッシュされた write トークン 100 万件あたりのコスト（USD）。
          title: Cache Write
        input:
          description: 100 万入力トークンあたりのコスト（USD）。
          title: Input
          type: number
        input_audio:
          anyOf:
            - type: number
            - type: 'null'
          description: オーディオ入力トークン 100 万件あたりのコスト（USD）。
          title: Input Audio
        output:
          description: 100 万出力トークンあたりのコスト（USD）。
          title: Output
          type: number
        output_audio:
          anyOf:
            - type: number
            - type: 'null'
          description: オーディオ出力トークン 100 万件あたりのコスト（USD）。
          title: Output Audio
        reasoning:
          anyOf:
            - type: number
            - type: 'null'
          description: 100 万推論トークンあたりのコスト（USD）。
          title: Reasoning
      required:
        - input
        - output
      title: Cost
      type: object
    Interleaved:
      description: 推論インターリーブのサポート詳細です。
      properties:
        field:
          description: インターリーブされた推論の形式識別子です。
          enum:
            - reasoning_content
            - reasoning_details
          title: Field
          type: string
      required:
        - field
      title: Interleaved
      type: object
    Limit:
      description: モデルのトークン制限です。
      properties:
        context:
          description: トークン単位の最大コンテキストウィンドウです。
          title: Context
          type: integer
        input:
          description: 最大入力トークン数です。
          title: Input
          type: integer
        output:
          description: 最大出力トークン数です。
          title: Output
          type: integer
      required:
        - context
        - input
        - output
      title: Limit
      type: object
    Modalities:
      description: サポートされる入出力モダリティです。
      properties:
        input:
          description: 'サポートされる入力タイプ（例: テキスト、画像、オーディオ、動画、pdf）です。'
          items:
            type: string
          title: Input
          type: array
        output:
          description: サポートされる出力タイプです。
          items:
            type: string
          title: Output
          type: array
      required:
        - input
        - output
      title: Modalities
      type: object

````